## org.opengis.temporal
Interface Period

All Superinterfaces:
  Separation, TemporalGeometricPrimitive, TemporalObject, TemporalOrder, TemporalPrimitive

    @UML(identifier="TM_Period",
         specification=ISO_19108)
    public interface Period

extends TemporalGeometricPrimitive

A one-dimensional geometric primitive that represent extent in time.

Method Summary
`Instant` `getBeginning()` Links this period to the instant at which it starts.
`Instant` `getEnding()` Links this period to the instant at which it ends.

Methods inherited from interface TemporalOrder
`relativePosition`

Methods inherited from interface Separation
`distance, length`

Method Detail

### getBeginning

    @UML(identifier="Beginning",
         obligation=MANDATORY,
         specification=ISO_19108)
    Instant getBeginning()

  Links this period to the instant at which it starts.

### getEnding

    @UML(identifier="Ending",
         obligation=MANDATORY,
         specification=ISO_19108)
    Instant getEnding()

  Links this period to the instant at which it ends.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.